
include $(ROOTDIR)/build/rtos/makerules/platform.mk
include $(ROOTDIR)/build/rtos/makerules/env.mk

edgedetection:
ifeq ($(PROC_EVE1_INCLUDE),yes)
	$(MAKE) $(TARGET) CORE=arp32_1 
	$(CP) $(DEST_ROOT)/lib/arp32/$(PROFILE_arp32_1)/edgedetection.aearp32F $(ROOTDIR)/$(MAKEAPPNAME)/src/rtos/alg_plugins/edgedetection/lib/edgedetection_$(PROFILE_arp32_1).aearp32F
	$(RM) $(DEST_ROOT)/lib/arp32/$(PROFILE_arp32_1)/edgedetection.aearp32F
	$(CP) $(ROOTDIR)/algorithms/edgedetection/include/* $(ROOTDIR)/$(MAKEAPPNAME)/src/rtos/alg_plugins/edgedetection/include
endif

clean:
	$(MAKE) clean CORE=arp32_1 

all: clean edgedetection


